import { z } from 'zod';

export const CreateUserProfileSchema = z.object({
  personalCode: z.string().regex(/^[1-6]\d{2}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])\d{3}\d$/, {
    message: 'Invalid Estonian personal code format',
  }),
});

export type CreateUserProfileSchemaType = z.infer<typeof CreateUserProfileSchema>;

